Bug 1818456 - poetry-1.1.4 is available
Summary: poetry-1.1.4 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: poetry
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1893732
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-28 10:22 UTC by Upstream Release Monitoring
Modified: 2020-11-16 22:30 UTC (History)
3 users (show)

Fixed In Version: poetry-1.1.4-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-16 22:30:40 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 1.1.0a1 (#1818456) (993 bytes, patch)
2020-03-28 10:22 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.1.0a2 (#1818456) (1.04 KB, patch)
2020-06-26 18:57 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.1.0b3 (#1818456) (1.10 KB, patch)
2020-09-18 18:52 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.1.0b4 (#1818456) (1.10 KB, patch)
2020-09-23 04:43 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.1.1 (#1818456) (1.09 KB, patch)
2020-10-05 18:27 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.1.2 (#1818456) (1.09 KB, patch)
2020-10-06 22:53 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.1.3 (#1818456) (1.09 KB, patch)
2020-10-14 18:22 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.1.4 (#1818456) (1.09 KB, patch)
2020-10-24 12:21 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2020-03-28 10:22:07 UTC
Latest upstream release: 1.1.0a1
Current version/release in rawhide: 1.0.5-1.fc33
URL: https://poetry.eustace.io/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/17793/

Comment 1 Upstream Release Monitoring 2020-03-28 10:22:12 UTC
Created attachment 1674249 [details]
[patch] Update to 1.1.0a1 (#1818456)

Comment 2 Upstream Release Monitoring 2020-03-28 10:23:51 UTC
the-new-hotness/release-monitoring.org's scratch build of poetry-1.1.0a1-1.fc30.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=42820926

Comment 3 Upstream Release Monitoring 2020-06-26 18:57:31 UTC
Latest upstream release: 1.1.0a2
Current version/release in rawhide: 1.0.5-2.fc33
URL: https://poetry.eustace.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/17793/

Comment 4 Upstream Release Monitoring 2020-06-26 18:57:34 UTC
Created attachment 1698950 [details]
[patch] Update to 1.1.0a2 (#1818456)

Comment 5 Upstream Release Monitoring 2020-06-26 22:35:56 UTC
the-new-hotness/release-monitoring.org's scratch build of poetry-1.1.0a2-1.fc32.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=46223042

Comment 6 Upstream Release Monitoring 2020-07-10 16:59:54 UTC
Latest upstream release: 1.1.0a3
Current version/release in rawhide: 1.0.5-2.fc33
URL: https://poetry.eustace.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/17793/

Comment 7 Upstream Release Monitoring 2020-07-10 16:59:56 UTC
An unexpected error occurred while creating the scratch build and has been automatically reported. Sorry!

Comment 8 Upstream Release Monitoring 2020-07-24 19:23:25 UTC
Latest upstream release: 1.1.0b2
Current version/release in rawhide: 1.0.5-2.fc33
URL: https://poetry.eustace.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/17793/

Comment 9 Upstream Release Monitoring 2020-07-24 19:23:27 UTC
An unexpected error occurred while creating the scratch build and has been automatically reported. Sorry!

Comment 10 Upstream Release Monitoring 2020-09-18 18:52:09 UTC
Latest upstream release: 1.1.0b3
Current version/release in rawhide: 1.0.10-2.fc33
URL: https://poetry.eustace.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/17793/

Comment 11 Upstream Release Monitoring 2020-09-18 18:52:12 UTC
Created attachment 1715422 [details]
[patch] Update to 1.1.0b3 (#1818456)

Comment 12 Upstream Release Monitoring 2020-09-23 04:43:43 UTC
Latest upstream release: 1.1.0b4
Current version/release in rawhide: 1.0.10-2.fc33
URL: https://poetry.eustace.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/17793/

Comment 13 Upstream Release Monitoring 2020-09-23 04:43:48 UTC
Created attachment 1715915 [details]
[patch] Update to 1.1.0b4 (#1818456)

Comment 14 Upstream Release Monitoring 2020-10-05 18:27:42 UTC
Latest upstream release: 1.1.1
Current version/release in rawhide: 1.0.10-2.fc33
URL: https://poetry.eustace.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/17793/

Comment 15 Upstream Release Monitoring 2020-10-05 18:27:49 UTC
Created attachment 1719135 [details]
[patch] Update to 1.1.1 (#1818456)

Comment 16 Fedora Admin user for bugzilla script actions 2020-10-06 02:52:57 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 17 Upstream Release Monitoring 2020-10-06 22:53:19 UTC
Latest upstream release: 1.1.2
Current version/release in rawhide: 1.0.10-2.fc33
URL: https://poetry.eustace.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/17793/

Comment 18 Upstream Release Monitoring 2020-10-06 22:53:22 UTC
Created attachment 1719512 [details]
[patch] Update to 1.1.2 (#1818456)

Comment 19 Anatoli Babenia 2020-10-09 11:02:38 UTC
How to make 1.1.x version into Fedora 33? Current version 1.0.10 fails on certain repos.

$ poetry install     
The lock file might not be compatible with the current version of Poetry.
Upgrade Poetry to ensure the lock file is read properly or, alternatively, regenerate the lock file with the `poetry lock` command.
Installing dependencies from lock file

[RecursionError]
maximum recursion depth exceeded while calling a Python object

Comment 20 Fabio Valentini 2020-10-09 13:16:24 UTC
It's being worked on:
https://src.fedoraproject.org/rpms/poetry/pull-request/4

Comment 21 Anatoli Babenia 2020-10-10 15:35:27 UTC
Thanks for the heads up.

Comment 22 Upstream Release Monitoring 2020-10-14 18:22:34 UTC
Latest upstream release: 1.1.3
Current version/release in rawhide: 1.0.10-2.fc33
URL: https://python-poetry.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/17793/

Comment 23 Upstream Release Monitoring 2020-10-14 18:22:38 UTC
Created attachment 1721552 [details]
[patch] Update to 1.1.3 (#1818456)

Comment 24 Upstream Release Monitoring 2020-10-24 12:21:34 UTC
Latest upstream release: 1.1.4
Current version/release in rawhide: 1.0.10-2.fc33
URL: https://python-poetry.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/17793/

Comment 25 Upstream Release Monitoring 2020-10-24 12:21:38 UTC
Created attachment 1723912 [details]
[patch] Update to 1.1.4 (#1818456)

Comment 26 Upstream Release Monitoring 2020-10-24 12:26:38 UTC
the-new-hotness/release-monitoring.org's scratch build of poetry-1.1.4-1.fc32.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=54128539

Comment 27 Miro Hrončok 2020-11-02 15:07:53 UTC
PR with 1.1.4: https://src.fedoraproject.org/rpms/poetry/pull-request/5

Comment 28 Fedora Update System 2020-11-16 22:30:40 UTC
FEDORA-2020-58f1e1df0f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.